.search-box {
  position: relative;
  width: 100%;
  max-width: 500px; /* Puedes ajustar el tamaño */
}

.search-input {
  padding-right: 40px; /* espacio para el ícono */
  border: 1px solid rgb(53, 50, 248);
  border-radius: 8px;
  background-color: #f8f9fa;
}

.search-icon {
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
  color: #495057;
  pointer-events: none;
}

/* Pantallas medianas como tablets */
@media only screen and (min-width: 601px) and (max-width: 1024px) {
  .search-box {
    max-width: 100%;
  }
  .search-input {
    font-size: 0.9rem;
  }
  .nav-item {
    width: 100%;
  }
}

@media only screen and (max-width: 600px) {
  .search-box {
    width: 100%;
    margin-top: 3%;
    max-width: 100%;
  }

  .search-input {
    font-size: 0.85rem;
    padding: 8px 35px 8px 10px; /* más compacto */
  }

  .search-icon {
    right: 10px;
  }

  .nav-item {
    width: 100%; /* botones ocupan todo el ancho */
  }

  .btn {
    width: 100%;
    font-size: 0.9rem;
  }

  .navbar-nav {
    flex-direction: column;
    gap: 0.5rem;
  }
/* para centrar el producto */

   #contenedor-productos {
    display: flex;
    flex-direction: column;
    align-items: center; /* centra horizontalmente */
  }

  .custom-card {
    width: 90% ;
    max-width: 300px;
    margin-bottom: 1rem;
  }

  .custom-card img {
    width: 80% ;
    height: auto;
  }
}
